{
  "name": "poc-mock-task-api",
  "module": "src/index.ts",
  "type": "module",
  "private": true,
  "scripts": {
    "generate:api": "tsoa spec-and-routes --configuration tsoa.json",
    "dev": "bun run generate:api && bun --watch src/index.ts",
    "start": "bun run generate:api && bun src/index.ts",
    "db:seed": "bun scripts/seed.ts",
    "test": "bun run generate:api && bun test"
  },
  "dependencies": {
    "express": "^5.2.1",
    "reflect-metadata": "^0.2.2",
    "swagger-ui-express": "^5.0.1",
    "tsoa": "^7.0.0-alpha.0"
  },
  "devDependencies": {
    "@types/express": "^5.0.6",
    "@types/swagger-ui-express": "^4.1.8",
    "node-mocks-http": "^1.17.2"
  }
}
